List Links
List stable link entries that a click action can select.
List stable link entries that a click action can select.
Scope: email_testing.messages.read
Path Parameters
idstringrequiredThe ID of the captured message, for example d5949378-3069-4d8f-a8f3-6e5edf5d6060. You get it from List Messages or the message.received webhook. It isn't the email's Message-ID header.
Sample Request
Request
curl "https://api.maileroo.com/v1/email-testing/messages/d5949378-3069-4d8f-a8f3-6e5edf5d6060/links" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Sample Response
The response is wrapped in a data object.
Response
{
"data": {
"message_id": "d5949378-3069-4d8f-a8f3-6e5edf5d6060",
"links": [
{
"id": "lnk_153ea6236b1c",
"index": 0,
"url": "https://example.com"
}
],
"total": 1,
"truncated": false
}
}Errors
404 Not Found— the resource does not exist or is not owned by the account.